package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 日程安排对象 m_schedule_arrange
 * 
 * @author zewei
 */
public class ScheduleArrange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 源数据id */
    @Excel(name = "源数据id")
    private String orginId;

    /** 日程id */
    @Excel(name = "日程id")
    private Long scheduleId;

    /** 日程名称 */
    @Excel(name = "日程名称")
    private String scheduleName;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 更新用户 */
    @Excel(name = "更新用户")
    private String updateUserId;

    /** 创建用户 */
    @Excel(name = "创建用户")
    private String createUserId;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    public void setOrginId(String orginId) 
    {
        this.orginId = orginId;
    }

    public String getOrginId() 
    {
        return orginId;
    }
    public void setScheduleId(Long scheduleId) 
    {
        this.scheduleId = scheduleId;
    }

    public Long getScheduleId() 
    {
        return scheduleId;
    }
    public void setScheduleName(String scheduleName) 
    {
        this.scheduleName = scheduleName;
    }

    public String getScheduleName() 
    {
        return scheduleName;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setStartDate(Date startDate) 
    {
        this.startDate = startDate;
    }

    public Date getStartDate() 
    {
        return startDate;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setUpdateUserId(String updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserId() 
    {
        return updateUserId;
    }
    public void setCreateUserId(String createUserId) 
    {
        this.createUserId = createUserId;
    }

    public String getCreateUserId() 
    {
        return createUserId;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("orginId", getOrginId())
            .append("scheduleId", getScheduleId())
            .append("scheduleName", getScheduleName())
            .append("year", getYear())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateUserId", getUpdateUserId())
            .append("createUserId", getCreateUserId())
            .append("collegeId", getCollegeId())
            .toString();
    }
}
